@echo off

rem	Batch test file for the dvbtenco program

rem Setting variables

set ENCO=.\Release\dvbtenco
set TESTFILE=.\test.m2v
set MP2GEN=.\m2vgen\Release\mpeg2gen
set TSTLEN=1200000
set SPEEDFILE=test_windows12h.txt
set TEMPFILE=temporary_dvbtenco_file.txt

set MODES=2k 8k
set CONST=4 16 64
set ALPHA=NH 1 2 4
set DELTA=1/32 1/16 1/8 1/4
set RATES=1/2 2/3 3/4 5/6 7/8

echo. 
echo Speed test for %ENCO%
echo.

if not exist %TESTFILE% (
	echo Creating test file
	%MP2GEN% %TSTLEN% %TESTFILE%
)

if exist %SPEEDFILE% del %SPEEDFILE%

for %%m in (%MODES%) do (
	for %%M in (%CONST%) do (
		for %%a in (%ALPHA%) do (
			for %%d in (%DELTA%) do (
				for %%r in (%RATES%) do (
					echo %%m %%M %%a %%d %%r
					%ENCO% -i %TESTFILE% -%%m -M %%M -a %%a -D %%d -p %%r -v 1 > %TEMPFILE%
					type %TEMPFILE%
					type %TEMPFILE% >> %SPEEDFILE%
				)
			)
		)
	)
)

if exist %TEMPFILE% del %TEMPFILE%

echo Test done: you can now process the results file %SPEEDFILE%
echo with something like Excel, for example
